Name:             mpc
Summary:          Command-line client for MPD
Version:          0.30
Release:          1%{?dist}

License:          GPLv2+
Group:            Applications/Multimedia
URL:              http://www.musicpd.org/
Source0:          http://www.musicpd.org/download/mpc/0/mpc-%{version}.tar.xz
Source1:          http://www.musicpd.org/download/mpc/0/mpc-%{version}.tar.xz.sig
BuildRequires:    libmpdclient-devel >= 2.3
BuildRequires:    meson
BuildRequires:    python3-sphinx

%description
A client for MPD, the Music Player Daemon. mpc connects to a MPD running
on a machine via a network.

%prep
%setup -q
sed -i -e "s,sphinx-build,sphinx-build-3,g" doc/meson.build

%build
%meson
%meson_build

%install
%meson_install
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
install -p -D -m0644 contrib/mpc-completion.bash \
    $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/%{name}
for i in mpd-m3u-handler.sh mpd-pls-handler.sh; do
    install -p -D -m0755 $RPM_BUILD_ROOT%{_datadir}/doc/%{name}/contrib/${i} \
        $RPM_BUILD_ROOT%{_libexecdir}/%{name}/${i}
done
rm -rf $RPM_BUILD_ROOT%{_pkgdocdir}/contrib
rm -f $RPM_BUILD_ROOT%{_pkgdocdir}/COPYING
rm -f $RPM_BUILD_ROOT%{_pkgdocdir}/html/.buildinfo


%files
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}
%{_libexecdir}/%{name}
%{_pkgdocdir}


%changelog
* Thu May 03 2018 Adrian Reber <adrian@lisas.de> - 0.30-1
- updated to 0.30
- switched to meson build system

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.28-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Aug 07 2017 Adrian Reber <adrian@lisas.de> - 0.28-5
- Rebuilt for new libmpdclient

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.28-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.28-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.28-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Aug 30 2016 Adrian Reber <adrian@lisas.de> - 0.28-1
- updated to 0.28

* Sun Feb 28 2016 Adrian Reber <adrian@lisas.de> - 0.27-1
- updated to 0.27

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.26-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.26-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Nov 07 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.26-1
- update to upstream release 0.26

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Mar 23 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.25-1
- update to upstream release 0.25
- update URL
- remove INSTALL file

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Feb 24 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.22-4
- install bash completion in the correct place and remove the
  triggerin/triggerun scriptlets
- include the example scripts in libexecdir

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 21 2012 Jamie Nguyen <jamie@tomoyolinux.co.uk> - 0.22-1
- update to upstream release 0.22
- remove obsolete BuildRoot tag, %%clean section and %%defattr

* Thu Jan 28 2010 Adrian Reber <adrian@lisas.de> - 0.19-1
- updated to 0.19 (#543797)
- added BR libmpdclient-devel

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 16 2009 Adrian Reber <adrian@lisas.de> - 0.16-1
- updated to 0.16

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 20 2009 Adrian Reber <adrian@lisas.de> - 0.15-1
- updated to 0.15 (#486585)

* Tue Feb 12 2008 Adrian Reber <adrian@lisas.de> - 0.12.1-2
- rebuilt for gcc43

* Sun Aug 26 2007 Adrian Reber <adrian@lisas.de> - 0.12.1-1
- updated to 0.12.1
- updated License
- added BR gawk

* Wed Jan 31 2007 Adrian Reber <adrian@lisas.de> - 0.12.0-2
- fix for almost empty debuginfo package (bz #225103)

* Tue Nov 07 2006 Adrian Reber <adrian@lisas.de> - 0.12.0-1
- updated to 0.12.0

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.11.2-5
- rebuild

* Tue Feb 21 2006 Aurelien Bompard <gauret[AT]free.fr> 0.11.2-4
- rebuild for FC5

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 0.11.2-3
- rebuild on all arches

* Fri Apr 08 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sat Mar 12 2005 Aurelien Bompard <gauret[AT]free.fr> 0.11.2-1
- version 0.11.2
- drop Epoch
- update URL

* Wed Dec 08 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.11.1-2
- put the bash_completion file in %%_datadir instead of %%_docdir

* Fri Nov 05 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.11.1-0.fdr.1
- Adapted to Fedora's spec directions.

* Wed Jun 23 2004 Gary Peck <gbpeck@sbcglobal.net> 0.11.1-1
- Version 0.11.1

